## basket-trinity 14.0.12

=== debian/changelog ===
basket-trinity (4:14.0.12-1rom) universal; urgency=low

  * Appending basket-trinity.postinst with call ldconfig

 -- Roman Savochenko <roman@oscada.org>  Wed, 1 Jun 2022 20:00:00 +0200

basket-trinity (4:14.0.12-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:41 +0100

basket-trinity (1.0.2-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

basket-trinity (1.0.2-0ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 04 March 2009 01:11:00 -0600

basket-trinity (1.0.2-0ubuntu2) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 11 Dec 2008 16:36:00 -0600

basket (1.0.2-2ubuntu1) hardy; urgency=low

  * Fix integration into Kontact: wrong PluginVersion used in .desktop file
    debian/patches/kubuntu_01_kontact_plugin.diff
    (LP: #149321)
  * debian/control: change Maintainer field.

 -- Luka Renko <lure@ubuntu.com>  Wed, 31 Oct 2007 21:00:29 +0100

basket (1.0.2-2build2) gutsy; urgency=low

  * Rebuilt with no source changes, for tdepim-enterprise again

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 06 Oct 2007 22:23:24 +1000

basket (1.0.2-2build1) gutsy; urgency=low

  * Rebuilt with no source changes, for tdepim-enterprise, which has
    temporarily broken Kontact ABI

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Aug 2007 21:56:28 +0100

basket (1.0.2-2) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]
  * Apply patch to fix FTBFS with GCC 4.3. Thanks to Martin Michlmayr.
    (Closes: #421209)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 29 May 2007 12:47:58 +0100

basket (1.0.2-1) unstable; urgency=low

  [ Sune Vuorela ]
  * Add da.po as debian/patches/13_add_da.po.diff. Thanks to Martin Schlander.

  [ Ana Beatriz Guerrero Lopez ]
  * Add 14_update_es_po.diff updating spanish translation. Thanks to Enrique Matías.
  * Buildprep.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 24 Apr 2007 16:37:48 +0100

basket (1.0.1-1) experimental; urgency=low

  * New upstream release. 
  * Fix offset patch 12_desktop.diff

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 29 Mar 2007 13:32:00 +0000

basket (1.0-1) experimental; urgency=low

  * New upstream version.
    - final 1.0 version.
  * The ana-please-pass-your-exam-this-is-your-miracle release.

 -- Sune Vuorela <debian@pusling.com>  Sun, 11 Feb 2007 12:35:24 +0100

basket (1.0~rc2-1) experimental; urgency=low

  * New upstream release:
    - Removed 10_dont_spam_stderr and 11_match_trinity.5.6_kontact,
      merged upstream.
    - Fixed offset patch 12_desktop.diff.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon,  5 Feb 2007 05:05:50 +0100

basket (1.0~beta3-1) experimental; urgency=low

  * New upstream version. (Closes: #395900)
  * Package now maintained by the Debian KDE Extras Team.
  
  [ Ana Beatriz Guerrero Lopez ]
  * Remove unnecessary file debian/Makefile.
  * Update compat to 5.
  * Bumped Standards-Version to 3.7.2, no changes required.
  * Update dep on tdebase-dev to tdelibs4-dev.
  * Add build-dep on tdepim-dev to get kontact integration.
  * Add build-dep on libgpgme11-dev to support encryption.
  * Package description:
    - Change short description.
    - Add basket's homepage.
  * Not install empty file NEWS.
  * Rewrite debian/rules file.
  * Improve debian/copyright file.
  * Versioned build-deps in tdelibs4-dev and tdepim-dev to build against 3.5.6
    (so Sune's changes will work).
  * Patched desktop file to include Categories and moved to right place.

  [ Sune Vuorela ]
  * Add quilt to build-dep - we better need a patch system. This also required
    changes to rules.
  * Add a 10_dont_spam_stderr patch to not be that verbose on stderr. It uses
    kdDebug() now to report those.
  * Add a 11_match_trinity.5.6_kontact patch to make the kontact plugin work with 
    kontact 3.5.6 - tdepim people have bumped their internal versionings.
  * Write new and improved manpage (Derived from help2man). (Closes: #405569)
  * Improve copyright file.
  * Minor changes to rules file.
  * Relibtoolization - and a need to fix parts of the build system.
    (New libtool put in thru patch 02, patch 03 fixes build system relying on 
    broken libtool and the big buildprep as patch 98.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 03 Feb 2007 07:41:48 +0100

basket (0.5.0-6) unstable; urgency=low

  * Acknowledge NMU. Thanks!
    Nothing more to be done (at least until upstream releases 0.6)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 11 May 2006  1:08:16 +0200

basket (0.5.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added -Wl,--as-needed as ldflags (Closes: #349480)
  * Trimmed build-depends to not include stuff from
    tdebase dependency line

 -- Sune Vuorela <debian@pusling.com>  Fri, 21 Apr 2006 21:25:43 +0000

basket (0.5.0-5) unstable; urgency=low

  * Fix crash on cutting multiline item (Closes: #339874)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 25 Nov 2005 19:57:15 +0100

basket (0.5.0-4) unstable; urgency=low

  * Fix FTBFS on 64-bit arches (Closes: #300176)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Tue, 18 Oct 2005 21:53:01 +0200

basket (0.5.0-3) unstable; urgency=low

  * Force rebuild, due to C++ ABI transition (Closes: #327944)
    - remove dependency on deprecated libjack0.80(Closes: #317184)

  * Fix KDE htmldir; properly install doc (Closes: #322192)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>



## basket-trinity 14.1.0

=== debian/changelog ===
basket-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 08 Apr 2023 01:17:03 +0200

## basket-trinity 14.1.5

=== backgrounds-previews/CMakeLists.txt ===
file( GLOB _pngs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.png )

install(
    FILES ${_pngs}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/backgrounds/previews
)

=== images/CMakeLists.txt ===
file( GLOB _pngs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.png )

install(
    FILES ${_pngs}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/images
)

=== src/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${GPGME_INCLUDE_DIRS}
  ${ARTS_INCLUDE_DIRS}
  ${LIBART_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
  ${GPGME_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
  ${LIBART_LIBRARY_DIRS}
)


##### basketcommon (shared)

tde_add_library( basketcommon SHARED AUTOMOC

  SOURCES
        kicondialogui.ui passwordlayout.ui basketdcopiface.skel
        archive.cpp bnpview.cpp settings.cpp basket.cpp
        basketproperties.cpp linklabel.cpp variouswidgets.cpp
        xmlwork.cpp keyboard.cpp global.cpp exporterdialog.cpp
        htmlexporter.cpp notefactory.cpp softwareimporters.cpp
        focusedwidgets.cpp popupmenu.cpp basketfactory.cpp
        tag.cpp qeffects.cpp kcolorcombo2.cpp newbasketdialog.cpp
        tagsedit.cpp formatimporter.cpp note.cpp notecontent.cpp
        notedrag.cpp noteedit.cpp filter.cpp tools.cpp
        backgroundmanager.cpp regiongrabber.cpp kicondialog.cpp
        kiconcanvas.cpp kgpgme.cpp likeback.cpp crashhandler.cpp
        password.cpp colorpicker.cpp basketlistview.cpp
        debugwindow.cpp systemtray.cpp aboutdata.cpp
        basketstatusbar.cpp clickablelabel.cpp backup.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     kjs-shared
     ${ARTSC_LIBRARIES}
     ${ARTSKDE_LIBRARIES}
     ${GPGME_LIBRARIES}

  DESTINATION ${LIB_INSTALL_DIR}
)


##### basket (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        main.cpp
        mainwindow.cpp
        application.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeutils-shared
     kjs-shared
     ${ARTSC_LIBRARIES}
     ${ARTSKDE_LIBRARIES}
     basketcommon-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### libbasketpart (kpart)

tde_add_kpart( libbasketpart MODULE AUTOMOC

  SOURCES
        basket_part.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeparts-shared
     kjs-shared
     ${ARTSC_LIBRARIES}
     ${ARTSKDE_LIBRARIES}
     basketcommon-shared
     
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_basket (kpart)

tde_add_kpart( kcm_basket MODULE AUTOMOC

  SOURCES
        kcm_basket.cpp
  LINK
     tdecore-shared
     tdeui-shared
     kjs-shared
     ${ARTSC_LIBRARIES}
     ${ARTSKDE_LIBRARIES}
     basketcommon-shared

 DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons

tde_install_icons()


##### other data

install(
    FILES basketui.rc basket_part.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
    SOURCE basket_part.desktop basket_config_general.desktop
           basket_config_baskets.desktop basket_config_new_notes.desktop
           basket_config_notes_appearance.desktop basket_config_apps.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

=== welcome/CMakeLists.txt ===
file( GLOB _files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.baskets )

install(
    FILES ${_files}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/welcome
)

## basket-trinity 14.1.1

=== debian/changelog ===
basket-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 03 Sep 2023 15:54:03 +0200

=== debian/control ===
Source: basket-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdepim-trinity-dev, libgpgme11-dev | libgpgme-dev (>= 1.0~)
Standards-Version: 3.8.4

Package: basket-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: basket-kde3 (<< 4:14.0.0~), basket-trinity (<< 4:14.0.0~)
Breaks: basket-kde3 (<< 4:14.0.0~), basket-trinity (<< 4:14.0.0~)
Recommends: basket-kontact-integration-trinity
Description: a multi-purpose note-taking application for TDE [Trinity]
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it. 
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects 
 you want in one place, keep data on hand, take notes...
 .
  Homepage: http://basket.kde.org/

Package: basket-kontact-integration-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: basket-kontact-integration-kde3 (<< 4:14.0.0~), basket-kontact-integration-trinity (<< 4:14.0.0~)
Breaks: basket-kontact-integration-kde3 (<< 4:14.0.0~), basket-kontact-integration-trinity (<< 4:14.0.0~)
Description: a multi-purpose note-taking appliction, Kontact integration [Trinity]
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it.
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects
 you want in one place, keep data on hand, take notes...
 .
 This package contains the kontact-trinity plugin
 .

## basket-trinity 14.1.2

=== debian/changelog ===
basket-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:47 +0200

## basket-trinity 14.1.3

=== debian/changelog ===
basket-trinity (4:14.1.3-3rombask) wheezy; urgency=low

  * Applying basket_FixReplaceRTE.patch with only adaptClipboardText(TQClipboard::Clipboard);
  * Appending basket-trinity.postinst with calling ldconfig

 -- Roman Savochenko <roman@oscada.org>  Wed, 02 Apr 2025 20:00:00 +0200

basket-trinity (4:14.1.3-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:21:07 +0200

## basket-trinity 14.1.4

=== debian/changelog ===
basket-trinity (4:14.1.4-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdepim-trinity-dev, libgpgme11-dev | libgpgme-dev (>= 1.0~)
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdepim-trinity-dev, libgpgme11-dev | libgpgme-dev (>= 1.0~)
 Standards-Version: 3.8.4
 
 Package: basket-trinity

## basket-trinity 14.1.5~pre2

=== debian/changelog ===
basket-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 924efdee439657fd85c49b108e0dd5dd0b4ddae3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## basket-trinity 14.1.5

=== debian/changelog ===
basket-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: basket-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdepim-trinity-dev, libgpgme11-dev | libgpgme-dev (>= 1.0~)
Standards-Version: 3.8.4

Package: basket-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: basket-trinity (<< 4:14.0.0~)
Breaks: basket-trinity (<< 4:14.0.0~)
Recommends: basket-kontact-integration-trinity
Description: a multi-purpose note-taking application for KDE [Trinity]
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it. 
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects 
 you want in one place, keep data on hand, take notes...
 .
  Homepage: http://basket.kde.org/

Package: basket-kontact-integration-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: basket-kontact-integration-trinity (<< 4:14.0.0~)
Breaks: basket-kontact-integration-trinity (<< 4:14.0.0~)
Description: a multi-purpose note-taking appliction, Kontact integration [Trinity]
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it.
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects
 you want in one place, keep data on hand, take notes...
 .
 This package contains the kontact-trinity plugin
 .

## basket-trinity 14.1.6~pre1

=== debian/changelog ===
basket-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 944608d30d372970a77959518642d1444b4f8176
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 10 Nov 2025 22:37:00 +0100

## basket-trinity 14.1.6~pre2

=== debian/changelog ===
basket-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 7d862069e0fab83c1dd88650e3a3b29a0feaa5b6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:53:12 +0100

## basket-trinity 14.2.0~pre56

=== debian/changelog ===
basket-trinity (4:14.2.0~pre56-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 5372dc586070c47cb4187106d13377dfe7f83a80
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## basket-trinity 14.2.0~pre57

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( basket )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckIncludeFileCXX    )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_GPGME          "Enable libgpgme support"                           ${WITH_ALL_OPTIONS} )
option( WITH_LIBART         "Enable Libart support"                             ${WITH_ALL_OPTIONS} )
option( WITH_ARTS           "Enable aRts support"                               ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL             "Build all" ON )
option( BUILD_KONTACT_PLUGIN  "Build kontact_plugin " ${BUILD_ALL} )
option( BUILD_DOC             "Build documentation"   ${BUILD_ALL} )
option( BUILD_TRANSLATIONS    "Build translations"    ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
add_subdirectory( tags )
add_subdirectory( images )
add_subdirectory( welcome )
add_subdirectory( backgrounds )
add_subdirectory( file-integration )
add_subdirectory( backgrounds-previews )
tde_conditional_add_subdirectory( BUILD_KONTACT_PLUGIN kontact_plugin )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
basket-trinity (4:14.2.0~pre57-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 8c22df2a29bcef37b760e073134474f561c80199
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Nov 2025 13:17:22 +0100

## basket-trinity 14.2.0~pre58

=== debian/changelog ===
basket-trinity (4:14.2.0~pre58-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 929bd751935f3b463372989003ed69471e488ca0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#basket

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:01:11 +0100
